summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/netkit-bootparamd/files/bootparamd.initd')
-rw-r--r--net-misc/netkit-bootparamd/files/bootparamd.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/net-misc/netkit-bootparamd/files/bootparamd.initd b/net-misc/netkit-bootparamd/files/bootparamd.initd
new file mode 100644
index 000000000000..167b52474d55
--- /dev/null
+++ b/net-misc/netkit-bootparamd/files/bootparamd.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+[ -e /etc/conf.d/bootparamd ] && . /etc/conf.d/bootparamd
+
+rpc_bin=/usr/sbin/rpc.bootparamd
+
+depend() {
+ use ypbind net
+ need portmap
+ after quota
+}
+
+start() {
+ ebegin "Starting bootparamd"
+ ${rpc_bin} ${OPTS_RPC_BOOTPARAMD}
+ eend $? "make sure DNOTIFY support is enabled ..."
+}
+
+stop() {
+ ebegin "Stopping bootparamd"
+ start-stop-daemon --stop --exec ${rpc_bin}
+ eend $?
+}